# Checkout Numbers in Cart

## Overview

Checkout and purchase all of the currently reserved numbers in your cart.

## Authentication

{% hint style="info" %}
This function is available via our new GraphQL API. You can read more about how to authenticate to this API [here](/graphql-api-and-authentication.md).
{% endhint %}

## Example Mutation

This function will add all the numbers currently reserved in your cart to your TSG Global account.

```
mutation OrderNumbers {
  numbersOrder {
    orderId
    items {
      tn
      trunkGroup
      tnNote
    }
  }
}
```

### Example Response

```
{
  "data": {
    "numbersOrder": {
      "items": [
        {
          "tn": "8572391650",
          "tnNote": null,
          "trunkGroup": null
        }
      ],
      "orderId": 0
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tsgglobal.com/api-reference/phone-numbers/checkout-numbers-in-cart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
